path: /build/build/lpsolve-sci-mathematics-5.5.2.0+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} sci-mathematics/lpsolve -pv -t && \
    emerge -j ${JOBS} --nodeps sci-mathematics/lpsolve
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/lpsolve && luet-portage --dir /pkgdir/lpsolve
    sci-mathematics/lpsolve && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:90ad63f13599e64d53a9e1b140bed874db15a32d13ec20e4b2078fea4a0802e9
  package:
    name: lpsolve
    version: 5.5.2.0+1
    category: sci-mathematics
    requires:
    - name: colamd
      version: '>=0'
      category: sci-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Mixed Integer Linear Programming (MILP) solver
    uri:
    - https://sourceforge.net/projects/lpsolve/
    license: LGPL-2.1
    buildtimestamp: 2024-05-25 08:04:45.410331453 +0000 UTC m=+88.990871114
    labels:
      DEPEND: sci-libs/colamd
      IUSE: static-libs
      RDEPEND: sci-libs/colamd
      emerge.packages: sci-mathematics/lpsolve
      kit: science-kit
      original.package.name: sci-mathematics/lpsolve
      original.package.slot: "0"
      original.package.version: 5.5.2.0
    treedir: /build/packages
  package_dir: /pkgdir/lpsolve
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: e66789c3d0321d13b6050dffd67e001ba0bac1d5495961d3393951a65c220dab
compressiontype: zstd
files:
- usr/bin/lp_demo
- usr/bin/lp_solve
- usr/include/lpsolve/lp_Hash.h
- usr/include/lpsolve/lp_MDO.h
- usr/include/lpsolve/lp_MPS.h
- usr/include/lpsolve/lp_SOS.h
- usr/include/lpsolve/lp_bit.h
- usr/include/lpsolve/lp_crash.h
- usr/include/lpsolve/lp_explicit.h
- usr/include/lpsolve/lp_fortify.h
- usr/include/lpsolve/lp_lib.h
- usr/include/lpsolve/lp_matrix.h
- usr/include/lpsolve/lp_mipbb.h
- usr/include/lpsolve/lp_presolve.h
- usr/include/lpsolve/lp_price.h
- usr/include/lpsolve/lp_pricePSE.h
- usr/include/lpsolve/lp_report.h
- usr/include/lpsolve/lp_rlp.h
- usr/include/lpsolve/lp_scale.h
- usr/include/lpsolve/lp_simplex.h
- usr/include/lpsolve/lp_solveDLL.h
- usr/include/lpsolve/lp_types.h
- usr/include/lpsolve/lp_utils.h
- usr/include/lpsolve/lp_wlp.h
- usr/include/lpsolve/lpkit.h
- usr/include/lpsolve/lpsolve.h
- usr/lib64/liblpsolve55.so
- usr/lib64/liblpsolve55.so.0
- usr/lib64/liblpsolve55.so.0.0.0
- usr/share/doc/lpsolve-5.5.2.0/README.txt.bz2
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/BUILD_TIME
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/CATEGORY
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/CBUILD
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/CFLAGS
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/CHOST
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/CONTENTS
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/COUNTER
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/CXXFLAGS
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/DEFINED_PHASES
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/DEPEND
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/DESCRIPTION
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/EAPI
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/FEATURES
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/HOMEPAGE
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/IUSE
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/IUSE_EFFECTIVE
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/KEYWORDS
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/LDFLAGS
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/LICENSE
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/NEEDED
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/PF
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/PROVIDES
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/RDEPEND
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/REQUIRES
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/SIZE
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/SLOT
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/USE
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/environment.bz2
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/lpsolve-5.5.2.0.ebuild
- var/db/pkg/sci-mathematics/lpsolve-5.5.2.0/repository
package_cacheimage: ""
runtime:
  name: lpsolve
  version: 5.5.2.0+1
  category: sci-mathematics
  requires:
  - name: colamd
    version: '>=0'
    category: sci-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Mixed Integer Linear Programming (MILP) solver
  uri:
  - https://sourceforge.net/projects/lpsolve/
  license: LGPL-2.1
  labels:
    DEPEND: sci-libs/colamd
    IUSE: static-libs
    RDEPEND: sci-libs/colamd
    emerge.packages: sci-mathematics/lpsolve
    kit: science-kit
    original.package.name: sci-mathematics/lpsolve
    original.package.slot: "0"
    original.package.version: 5.5.2.0
